Horde uses deathmatch spawns to spawn players.  It's generally a good idea for players to have spread out spawn points, though sometimes having spawn points centered around a 
particular part of the map might make for interesting gameplay.

Deathmatch Spawns (ID:11) 

There are four types of THINGS that must be on every map:

**Monster Spawner (ID:5302)** Can spawn any type of monster.
Can spawn a maximum of four 64 width monsters arranged in a grid.
Larger monsters can also spawn if there's enough clearence.

**Boss Spawner (ID:5303)** Spawns round bosses.
Can spawn a monster as large as 256 width and 128 units high.

**Supply Cache Spawner (ID:5301)** Spawns weapons and supplies, as listed above.  
The game attempts to ensure that half of the supply cache spawns have an item in them at any given time.

**Powerup Spawner (ID:5307)** Spawns powerups.
Powerups are spawned every 30-45 seconds at one random spawn.  Powerups that are already spawned will "block" the spawn from further spawns until they're picked up.
There are four additional types of monster spawners for special cases.

###################################################

**Flying Spawner (ID:5304)** Only spawns flying monsters.

**Sniper Spawner (ID:5306)** Only spawns monsters that are 128 units wide or less and has a ranged attack.
Useful for sniper towers with no way to path to the player.

**Thin Monster Spawner (ID:5300)** Only spawns monsters that are 64 units wide or less.
Useful for parts of the map that are hard for fat monsters like Arachnotrons to traverse.

**Thin Sniper Spawner (ID:5305)** Only spawns monsters that are 64 units wide or less and has a ranged attack.
Useful for thin sniper towers that don't have a lot of room to manuver where a normal sniper monster could get stuck due to not being able to walk.
Although you can put vanilla items and monsters in the map, it's not recommended.
